DocumentInfo
Date: 2016-07-03

com.icl.saxon.om

## Interface DocumentInfo

- All Superinterfaces:
    NodeInfo, javax.xml.transform.Source
  All Known Implementing Classes:
    DocumentImpl, DocumentWrapper, TinyDocumentImpl

      public interface DocumentInfo
      extends NodeInfo

  The root node of an XPath tree. (Or equivalently, the tree itself).

  This class should have been named Root; it is used not only for the root of a document, but also for the root of a result tree fragment, which is not constrained to contain a single top-level element.

- - ### Field Summary

    - ### Fields inherited from interface com.icl.saxon.om.NodeInfo

      `ATTRIBUTE, COMMENT, ELEMENT, NAMESPACE, NODE, NONE, NUMBER_OF_TYPES, PI, ROOT, TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Hashtable` | `getKeyIndex(KeyManager keymanager, int fingerprint)` Get the index for a given key
    `NamePool` | `getNamePool()` Get the name pool used for the names in this document
    `java.lang.String` | `getUnparsedEntity(java.lang.String name)` Get the unparsed entity with a given name
    `NodeInfo` | `selectID(java.lang.String id)` Get the element with a given ID, if any
    `void` | `setKeyIndex(KeyManager keymanager, int fingerprint, java.util.Hashtable index)` Set the index for a given key
    `void` | `setNamePool(NamePool pool)` Set the name pool used for all names in this document

    - ### Methods inherited from interface com.icl.saxon.om.NodeInfo

      `compareOrder, copy, copyStringValue, generateId, getAttributeValue, getAttributeValue, getBaseURI, getDisplayName, getDocumentRoot, getEnumeration, getFingerprint, getLineNumber, getLocalName, getNameCode, getNodeType, getParent, getPrefix, getStringValue, getSystemId, getURI, hasChildNodes, isSameNodeInfo, outputNamespaceNodes`

    - ### Methods inherited from interface javax.xml.transform.Source

      `setSystemId`

- - ### Method Detail

    - #### setNamePool

          void setNamePool(NamePool pool)

      Set the name pool used for all names in this document

    - #### getNamePool

          NamePool getNamePool()

      Get the name pool used for the names in this document

    - #### selectID

          NodeInfo selectID(java.lang.String id)

      Get the element with a given ID, if any
      Parameters:
        `id` - the required ID value
      Returns:
        the element with the given ID, or null if there is no such ID present (or if the parser has not notified attributes as being of type ID)

    - #### getKeyIndex

          java.util.Hashtable getKeyIndex(KeyManager keymanager,
                                        int fingerprint)

      Get the index for a given key
      Parameters:
        `keymanager` - The key manager managing this key
        `fingerprint` - The fingerprint of the name of the key (unique with the key manager)
      Returns:
        The index, if one has been built, in the form of a Hashtable that maps the key value to a list of nodes having that key value. If no index has been built, returns null.

    - #### setKeyIndex

          void setKeyIndex(KeyManager keymanager,
                         int fingerprint,
                         java.util.Hashtable index)

      Set the index for a given key
      Parameters:
        `keymanager` - The key manager managing this key
        `fingerprint` - The fingerprint of the name of the key (unique with the key manager)
        `index` - the index, in the form of a Hashtable that maps the key value to a list of nodes having that key value

    - #### getUnparsedEntity

          java.lang.String getUnparsedEntity(java.lang.String name)

      Get the unparsed entity with a given name
      Parameters:
        `name` - the name of the entity
      Returns:
        the URI of the entity if there is one, or null if not